Uploading app to app store for iPhone 3.0

Discussion in 'iOS Programming' started by shashideokar10, Jun 26, 2009.

  1. shashideokar10 macrumors newbie

    Joined:
    Jun 26, 2009
    #1
    Hi,

    I am new to this forum and this is my first post on this forum.

    I have created an app with 2.2.1 and tested its all compability with iPhone 3.0 OS. Now I want to upload this app to app store. But I am confused that whether I should upload app build with 2.2.1 compatible with 3.0 or directly create app for iPhone 3.0. I also want to know that is apple now accepting new apps for 2.2.1 or it is now directly accepting for iPhone 3.0 only.

    Please help me in this
     
  2. mpramodjain macrumors regular

    Joined:
    Nov 20, 2008
    Location:
    Banglore
    #2
    I would also like to know about this issue...any experienced guys...???
     
  3. nard macrumors newbie

    Joined:
    Jun 26, 2009
  4. PhoneyDeveloper macrumors 68030

    PhoneyDeveloper

    Joined:
    Sep 2, 2008
    #4
    You are allowed to build it for 2.2.1. However this only makes sense if you have tested it on 2.2.1. What's recommended is to set the Base SDK the latest OS that you support, which should be 3.1, and then set the iPhone OS Deployment target to the earliest OS that you support, which should either be 2.2.1 or 3.0, unless you require some OS feature from 3.1.

    Have you tested on 2.2.1?
     

Share This Page